Closed Bug 1535667 Opened 8 months ago Closed 7 months ago

Gradual rollout of block autoplay on release 66

Categories

(Core :: Audio/Video: Playback, defect, P1)

66 Branch
defect

Tracking

()

RESOLVED FIXED
Tracking Status
firefox66 + fixed

People

(Reporter: lizzard, Assigned: mythmon)

Details

Aiming for full rollout in 1 week with this plan in mind:
Feature is off by default at mainline release go-live/launch.
Turn on feature at 25% update Monday post go-live.
Push to 50% 3 days later, Thursday
Push to 100% a week later IF there are no blocking issues.

n-i to Nils for specifying the prefs to change
And to Rehan for implementation Monday March 25.

Flags: needinfo?(rdalal)
Flags: needinfo?(drno)

Redirecting to mythmon since he usually handles these

Flags: needinfo?(rdalal) → needinfo?(mcooper)

Based on the code changes landed in bug 1522923

'media.autoplay.default' needs to get set to 1

Flags: needinfo?(drno)

Liz, can you also file a second bug to turn this on by default-in-tree in a future version? It should depend on this bug. That we we can eventually clean up the dynamic rollout with a static one. The usual thing is to land that pref change in Nightly when we turn on the enrollment recipe, and then let it ride the trains.

Assignee: nobody → mcooper
Status: NEW → ASSIGNED
Flags: needinfo?(mcooper)
Rank: 9
Priority: -- → P1

I'm planning to use a new automated scale-up process for this rollout. The idea is that we will encode the schedule of the rollout into the Normandy recipe, and once it is enabled the whole process will run automatically. I will be monitoring the enrollment as well. We can of course abort or modify this schedule at any time.

As such, we'll need a very concrete schedule. I've translated the details from comment 0 to this concrete schedule:

Percent When
25% Monday, March 25th, 10AM Pacific
50% Thursday, March 28th, 10AM Pacific
100% Thursday, April 4th, 10AM Pacific

I'm going to write this recipe today.

I've created a recipe that implements my plan from comment 5. It can be approved and enabled any time this week, and will only activate after Monday at 10am.

https://delivery-console.prod.mozaws.net/recipe/718/

Benson, can you take a look at this? Especially can you double check the time stuff?

Lizzard, does the schedule I put into comment 5 look good?

Flags: needinfo?(lhenry)
Flags: needinfo?(bwong)

I reviewed and approved the JEXL from Comment #6.

Flags: needinfo?(bwong)

Looks good to me.

Flags: needinfo?(lhenry)

I can't actually see your recipe from the link in comment 6, though.

Flags: needinfo?(bwong)

How about | 100% | Tues, April 2nd, 10AM Pacific | ? We were aiming to get to 100% in one week. We could even set it for Monday but I'd rather be able to check in on Monday and make sure things are going well.

Ni Michael for #Comment 10

Flags: needinfo?(mcooper)

We can do 100% Tues Apr 2nd. It doesn't give a lot of time to make changes if you want to abort 100% rollout on Monday since clients will sync their recipes at different rates.

The current recipe looks like this:

(normandy.request_time >= "2019-03-25T17:00:00Z"|date && ["block-autoplay", normandy.userId]|bucketSample(0, 250, 1000))
|| (normandy.request_time >= "2019-03-28T17:00:00Z"|date && ["block-autoplay", normandy.userId]|bucketSample(0, 500, 1000))
|| (normandy.request_time >= "2019-04-04T17:00:00Z"|date)

to be changed to:

(normandy.request_time >= "2019-03-25T17:00:00Z"|date && ["block-autoplay", normandy.userId]|bucketSample(0, 250, 1000))
|| (normandy.request_time >= "2019-03-28T17:00:00Z"|date && ["block-autoplay", normandy.userId]|bucketSample(0, 500, 1000))
|| (normandy.request_time >= "2019-04-02T17:00:00Z"|date)

Note timezones are in Zulu/UTC time.

Flags: needinfo?(bwong)

clearing NI for mcooper

Flags: needinfo?(mcooper)

that looks good. thank you benson!

I updated https://delivery-console.prod.mozaws.net/recipe/718/. :rehan could you review and approve it for me?

Flags: needinfo?(rdalal)

Approved

Flags: needinfo?(rdalal)

The recipe is enabled.

The update from 25% enrollment to 50% enrollment rate happened automatically as scheduled today. The overall enrollment statistics look correct.

The rollout is at 100% at this point. But, Cindy just reported not seeing it working on update to 66 in bug 1542310.

Status: ASSIGNED → RESOLVED
Closed: 7 months ago
Resolution: --- → FIXED

I noticed that this rollout was marked as a no-op on 67 (which Normandy considers an error). This feature was turned on by default for Firefox 67 in bug 1542921. Because of this should change the targeting of the recipe to not apply to Release 67 anymore.

I've made this change, and it is pending approval here: https://delivery-console.prod.mozaws.net/recipe/718/

Ritu, can you review this change?

Flags: needinfo?(rkothari)

I reviewed the change and approved it. We should discuss if this is something that can be avoided in future. E.g. If the feature rollout is staged on 66 but planned to go on by default in 67, the recipe should only target 66 and not 66, 67 both.

Flags: needinfo?(rkothari)
You need to log in before you can comment on or make changes to this bug.